﻿using System;
using System.ComponentModel.DataAnnotations;

namespace SGPM.CrossCutting.Enums
{
    /// <summary>
    ///     Especifica los estados por los que puede transitar una orden
    /// </summary>
    public enum EstadosOrden
    {
        /// <summary>
        /// 0
        /// </summary>
        [Display(Name = "Todos")]
        Todos = 0,

        /// <summary>
        /// 1
        /// </summary>
        [Display(Name = "Registrada")]
        Registrada = 1,

        /// <summary>
        /// 2
        /// </summary>
        [Display(Name = "Asignada")]
        Asignada = 2,

        /// <summary>
        /// 3
        /// </summary>
        [Display(Name = "Descargada")]
        Descargada = 3,

        /// <summary>
        /// 4
        /// </summary>
        [Display(Name = "Cerrada")]
        Cerrada = 4
    }
}